Subject: RE: Request for information on using T.30/T.37/T.38 with SIP/SDP/RTP

From: Don Mactaggart <[email-masked]>
Date: Fri, 03 Nov 2000 21:13:28 -0500

Dave, where might I look for performance data  for SCTP ?													At
05:14 PM 00/11/03 -0500, David Duehren wrote:
>I won't be able to attend the SG16 meeting but I suggest discussing the use
>of
>SCTP as a compromise between UDP/RTP and TCP.
>
>- David Duehren
>
>> -----Original Message-----
>> From: Herman Silbiger [mailto:[email-masked]]
>> Sent: Friday, November 03, 2000 4:17 PM
>> To: [email-masked]
>> Cc: James Rafferty; [email-masked]; [email-masked];
>> [email-masked]; [email-masked]; [email-masked];
>> [email-masked]; [email-masked]; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]; [email-masked]; [email-masked];
>> [email-masked]; Jean-Francois Mule; Don Mactaggart
>> Subject: Re: Request for information on using T.30/T.37/T.38 with
>> SIP/SDP/RTP
>> 
>> 
>> James_R,
>> 
>> If you are interested in gettin T.38 amended to support RTP 
>> the that would have to
>> be done in ITU Study Group 16, which now is responsible for 
>> facsimile.  The next
>> meeting of SG16 is 13-17 November in Geneva so ypu can't put 
>> a contribution in to
>> that.  The best thing will be to take it to TR30.5, the 
>> successor group to TR29.
>> 
>> The new chair of TR29 is Jim Dahmen, [email-masked].
>> 
>> Herman Silbiger
>> 
>> [email-masked] wrote:
>> 
>> > James,
>> >
>> > Your comments below are absolutely correct and are appreciated.
>> >
>> > In my desire to keep my request for information short, I 
>> mis-used the terms
>> > simply to give what I hoped was a short but perhaps not 
>> completely accurate
>> > context for my request. Let me clarify.
>> >
>> > As you state, T.30 is relevant only to faxes transmitted 
>> over the PSTN. By using
>> > that term, I just wanted to indicate that my request for 
>> information had
>> > something to do with faxes.
>> >
>> > And as you state, T.37 is for fax MIME attachments. Our 
>> store-and-forward fax
>> > and universal messaging systems can receive T.37 
>> attachments for faxes to be
>> > sent over the PSTN and can generate T.37 attachments for 
>> faxes received from the
>> > PSTN. Again, I just wanted to indicate that my request had 
>> something to do with
>> > faxes.
>> >
>> > I apologize if my mis-use of these terms misled anyone.
>> >
>> > And again as you state, T.38 as currently defined only uses 
>> TCP and UDPTL, not
>> > RTP, as transport protocols, and SIP/SDP establishment of 
>> such sessions is
>> > already standardized or is proposed.
>> >
>> > While we certainly believe that TCP and UDPTL are useful 
>> transport protocols for
>> > T.38, and we support them, we also see use for RTP as a 
>> transport protocol for
>> > T.38. We have a proprietary implementation of that which we 
>> would like to see
>> > standardized if others also find it useful. Doing so would 
>> require two things:
>> > o    defining a T.38 payload type for RTP: and
>> > o    defining SDP tokens to describe that.
>> > Here specifically is one place where I was looking for 
>> information on anyone
>> > that has already done work in this area or is interested in 
>> doing so. I think
>> > this work might appropriately be done within the IETF FAX 
>> working group, but I
>> > might be wrong. If so, I'm open to suggestions for where it 
>> should appropriately
>> > be done.
>> >
>> > The one other area that we are also looking for work 
>> already done or folk
>> > interested in doing work is the use of Class 2.0 fax, as 
>> defined, e.g., by
>> > EIA/TIA-578, -592, -602, etc., over TCP as an alternative 
>> to T.38 over any
>> > transport protocol. Class 2.0 fax over TCP is already 
>> supported by many of our
>> > products and the products of other vendors, but the 
>> establishment of sessions
>> > between fax servers and PSTN gateways using Class 2.0 fax 
>> over TCP is handled by
>> > non-standard, proprietary schemes. Again, we would like to 
>> standardize this so
>> > that, in particular, SIP can be used to establish such 
>> sessions and multiple
>> > vendors products can better interwork. In this case, the 
>> protocols are all
>> > defined, all that is needed is a few SDP tokens. I think 
>> this work also might
>> > appropriately be done within the IETF FAX working group, 
>> but am open to other
>> > suggestions.
>> >
>> > I hope this clarifies my original request. Anyone already 
>> working in these areas
>> > or interested in doing so please contact me by e-mail. If 
>> anyone is interested,
>> > perhaps we can get together informally in San Diego in a 
>> few weeks to discuss
>> > this further.
>> >
>> > Thank you in advance for your attention to this.
>> >
>> > Jim Renkel
>> > Director, Advanced Technology and System Engineering
>> > 3Com Carrier Networks Business
>> >
>> > James Rafferty <[email-masked]> on 10/27/2000 12:58:41 PM
>> >
>> > Sent by:  James Rafferty <[email-masked]>
>> >
>> > To:   James Renkel/MW/US/3Com
>> > cc:
>> > Subject:  RE: Request for information on using 
>> T.30/T.37/T.38 with SIP/SDP/ RTP
>> >
>> > James,
>> >
>> > Hi.   I'm the former chair for the WG.    This request is somewhat
>> > off topic for this list, but I'll give you a brief answer.  I've
>> > been involved in all of the work referenced in the ITU and IETF.
>> >
>> > See my comments below:
>> >
>> > > -----Original Message-----
>> > > From: [email-masked] [mailto:[email-masked]]
>> > > Sent: Friday, October 27, 2000 12:33 PM
>> > > To: [email-masked]
>> > > Subject: Request for information on using T.30/T.37/T.38 with
>> > > SIP/SDP/RTP
>> > >
>> > >
>> > >
>> > >
>> > > The 3Com Carrier Networks Business System Engineering group
>> > > is working on
>> > > extending and integrating some of our products to achieve
>> > > greater functionality
>> > > and better interworking in the areas of store-and-forward and
>> > > real-time
>> > > facsimile transmission. Products in this area include
>> > > facsimile applications
>> > > systems and PSTN-Internet interworking gateways.
>> > >
>> > > Does anyone know of any work that has been done or is being
>> > > done or anyone that
>> > > has done or is doing work in the areas of:
>> > > o    specification of T.30/T.37/T.38 payload formats for RTP
>> > > and other transport
>> > > protocols;
>> > this is mixing apples and oranges. Briefly,
>> >
>> > 1.  T.30 is the PSTN protocol and needs to be supported for PSTN
>> > fax support in products like gateways to IP; no direct connection
>> > here to RTP, which is on the packet side.
>> >
>> > 2.   T.37 is an umbrella standard for store and forward Internet fax
>> > where images are sent as MIME attachments (image/tiff) and 
>> the transport
>> > is SMTP/ESMTP ; again, no connection to RTP; all of the 
>> technical details
>> > are included in RFC 2301-2306; RFC 2530-2532, which are 
>> referenced by T.37
>> > (my personal web site , www.humancomm.com, has some of this kind of
>> > info on the About Internet fax link)
>> >
>> > 3.   T.38 is the standard for sending fax data in real time 
>> over packet
>> > networks.
>> > Instead of using RTP, the fax data and signals use packet 
>> methods which are
>> > specified
>> > in the ITU-T T.38 recommendation.   T.38 has annexes 
>> specifying operation
>> > with H.323 and (recently approved) with SIP.   I believe 
>> the annex for use
>> > with Megaco/H.248 is up for approval at next month's ITU-T 
>> SG16 meeting in
>> > Geneva.
>> >
>> > At Brooktrout, we do enabling technology for voice, fax and 
>> data over IP and
>> > PSTN networks, so we are staying plugged in to all of the 
>> related standards
>> > developments.
>> >
>> > I hope this helps.   Please feel free to follow up if needed.
>> >
>> > Regards,
>> >
>> > James Rafferty
>> >
>> > * -----------------------------------
>> > James Rafferty
>> > Senior Product Manager, IP Telephony
>> > [email-masked]
>> >
>> > Brooktrout Technology
>> > 410 First Avenue
>> > Needham, MA 02494 USA
>> > Phone:  +1-781-433-9462
>> > Fax: 781-433-9268
>> > www.brooktrout.com
>> > Your Hook into the New Network(SM)
>> >
>> > > and
>> > > o    specification of the above media stream types in SDP/SIP.
>> > >
>> > > Any information you have on this would be greatly
>> > > approciated. Thank you in
>> > > advance for your attention to this.
>> > >
>> > > Jim Renkel
>> > > Director, Advanced Technology & System Engineering
>> > > 3Com Carrier Networks Business
>> > >
>> > >
>> 
>
>